package com.bonus.canteen.core.menu.dto;

import com.bonus.canteen.core.menu.entity.MenuRecipe;
import com.bonus.canteen.core.menu.entity.MenuRecipeDetail;
import com.bonus.canteen.core.menu.entity.MenuRecipeDishes;

import java.util.List;

public class RecipeProcessResult {
   private List<Long> templateDetailIds;
   private List<Long> haveDetailIds;
   private List<MenuRecipeDetail> recipeDetails;
   private List<MenuRecipeDishes> recipeDishes;
   private Long recipeId;
   private Boolean add;
   private MenuRecipe menuRecipe;

   public List<Long> getTemplateDetailIds() {
      return this.templateDetailIds;
   }

   public List<Long> getHaveDetailIds() {
      return this.haveDetailIds;
   }

   public List<MenuRecipeDetail> getRecipeDetails() {
      return this.recipeDetails;
   }

   public List<MenuRecipeDishes> getRecipeDishes() {
      return this.recipeDishes;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Boolean getAdd() {
      return this.add;
   }

   public MenuRecipe getMenuRecipe() {
      return this.menuRecipe;
   }

   public void setTemplateDetailIds(final List<Long> templateDetailIds) {
      this.templateDetailIds = templateDetailIds;
   }

   public void setHaveDetailIds(final List<Long> haveDetailIds) {
      this.haveDetailIds = haveDetailIds;
   }

   public void setRecipeDetails(final List<MenuRecipeDetail> recipeDetails) {
      this.recipeDetails = recipeDetails;
   }

   public void setRecipeDishes(final List<MenuRecipeDishes> recipeDishes) {
      this.recipeDishes = recipeDishes;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setAdd(final Boolean add) {
      this.add = add;
   }

   public void setMenuRecipe(final MenuRecipe menuRecipe) {
      this.menuRecipe = menuRecipe;
   }

}
